gr::gsm::burst_sdcch_subslot_splitter_impl Class Reference

`#include <burst_sdcch_subslot_splitter_impl.h>`

Inheritance diagram for gr::gsm::burst_sdcch_subslot_splitter_impl:

## Public Member Functions

| burst_sdcch_subslot_splitter_impl (splitter_mode mode)
| ~burst_sdcch_subslot_splitter_impl ()
void | process_burst (pmt::pmt_t msg)
splitter_mode | get_mode (void)
splitter_mode | set_mode (splitter_mode mode)

## Additional Inherited Members

Public Types inherited from gr::gsm::burst_sdcch_subslot_splitter
typedef std::shared_ptr< burst_sdcch_subslot_splitter > | sptr
Static Public Member Functions inherited from gr::gsm::burst_sdcch_subslot_splitter
static sptr | make (splitter_mode mode)
| Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_splitter.

## Constructor & Destructor Documentation

## burst_sdcch_subslot_splitter_impl()

gr::gsm::burst_sdcch_subslot_splitter_impl::burst_sdcch_subslot_splitter_impl | ( | splitter_mode | mode | ) |

## ~burst_sdcch_subslot_splitter_impl()

gr::gsm::burst_sdcch_subslot_splitter_impl::~burst_sdcch_subslot_splitter_impl | ( |  | ) |

## Member Function Documentation

## get_mode()

splitter_mode gr::gsm::burst_sdcch_subslot_splitter_impl::get_mode | ( | void |  | ) |

virtual

Implements gr::gsm::burst_sdcch_subslot_splitter.

## process_burst()

void gr::gsm::burst_sdcch_subslot_splitter_impl::process_burst | ( | pmt::pmt_t | msg | ) |

## set_mode()

splitter_mode gr::gsm::burst_sdcch_subslot_splitter_impl::set_mode | ( | splitter_mode | mode | ) |

virtual

Implements gr::gsm::burst_sdcch_subslot_splitter.

The documentation for this class was generated from the following file:

- burst_sdcch_subslot_splitter_impl.h